$(document).ready(function() {
    $('.arrow-progress').each(function() {
        var component = this
        $(component).find('.arrow-progress__step:has(.arrow-progress__tooltip)').each(function() {
            var step = this;
            var row = $(step).parents('.row');
            var tooltip = $(step).find('.arrow-progress__tooltip');
            $(tooltip).hide();
            $(tooltip).removeClass('hide');
            $(tooltip).detach();
            $(tooltip).prependTo(row); 
            $(tooltip).on('focusout', function() {
                $(this).hide();
            });
            var close = $('<span></span>');
            close.addClass('close-btn');
            close.appendTo($(tooltip));
            close.click(function() {
                $(tooltip).hide();
            });

            $(step).click(function() {
                var pos = $(step).position();
                var step_width = $(step).innerWidth();
                var step_height = $(step).innerHeight();
                var left = pos.left + step_width / 2 - $(tooltip).innerWidth() / 2

                $(tooltip).css({
                    left: Math.min(Math.max(0, left), row.innerWidth() - $(tooltip).innerWidth()),
                    top: pos.top + step_height + 20
                });
                $(tooltip).show();
                $(tooltip).focus();
            });
            
            //accessibility code start here
            $(step).keypress(function (e) {
                if (e.keyCode == 13) {
                    var pos = $(step).position();
                    var step_width = $(step).innerWidth();
                    var step_height = $(step).innerHeight();
                    var left = pos.left + step_width / 2 - $(tooltip).innerWidth() / 2

                    $(tooltip).css({
                        left: Math.min(Math.max(0, left), row.innerWidth() - $(tooltip).innerWidth()),
                        top: pos.top + step_height + 20
                    });
                    $(tooltip).show();
                    $(tooltip).focus();
                }
            });
            //accessibility code end here
        });
    });
});
